Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 556758 - media-gfx/blender : ~arm KEYWORD request
Summary: media-gfx/blender : ~arm KEYWORD request
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Adrian
URL:
Whiteboard:
Keywords: CC-ARCHES, KEYWORDREQ
Depends on: 626966
Blocks:
  Show dependency tree
 
Reported: 2015-08-05 14:28 UTC by Vincent Hardy
Modified: 2020-10-10 07:41 UTC (History)
6 users (show)

See Also:
Package list:
media-gfx/blender arm
Runtime testing required: ---
nattka: sanity-check-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vincent Hardy 2015-08-05 14:28:34 UTC
I emerged media-gfx/blender-2.72b-r3 successfully on BeagleBone Black.

Required for this live ebuild : https://github.com/linuxunderground/gentoo.overlay/tree/master/games-arcade/diamond-girl

Remarks :
I had to temporarily create a swap file because of memory usage.
Bug 533514 is still relevant.

Reproducible: Always
Comment 1 Philippe Trottier 2016-11-28 13:01:50 UTC
Confirm working on aarch64 Odroid C2, arm on Rpi2(arm), Odroid Xu4 (arm) and usable too for small projects.
Comment 2 Jonathan Scruggs (RETIRED) gentoo-dev 2016-11-28 16:38:26 UTC
(In reply to Philippe Trottier from comment #1)
> Confirm working on aarch64 Odroid C2, arm on Rpi2(arm), Odroid Xu4 (arm) and
> usable too for small projects.

Did you try v2.78a?
Comment 3 Philippe Trottier 2017-03-08 16:47:46 UTC
I did not yet dare turning python3_5 on yet. I will try after a world update
Comment 4 Philippe Trottier 2017-03-09 19:14:24 UTC
OK seems to work with python3_5 and arm64
Also tested amd64 with python3_5 and it's great
Comment 5 Jonathan Scruggs (RETIRED) gentoo-dev 2017-12-23 12:06:29 UTC
I've been able to compile most things on a Raspberry Pi 3 with a 64 bit install, so I might be able to keyword this in the future. Still doing some testing and will take a bit as some depends need to be keyworded, but I don't maintain those, so will be filing bug reports.
Comment 6 Jonathan Scruggs (RETIRED) gentoo-dev 2017-12-28 18:51:32 UTC
I will be working on this after sometime in January, but with version 2.79. There are a lot of dependencies that need to be keyworded first.
Comment 7 Sergei Trofimovich gentoo-dev 2020-04-12 15:29:00 UTC
Please populate package list. I'm adding media-gfx/blender but it will unlikely be enough.
Comment 8 NATTkA bot gentoo-dev 2020-04-12 17:26:08 UTC
Sanity check failed:

> media-gfx/blender-2.79b-r2
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=dev-libs/c-blosc-1.5.2
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-gfx/openvdb[-abi3-compat(-),abi4-compat(+),python_single_target_python3_6(-)]
>     media-libs/opencolorio
>     media-libs/osl:=
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=dev-libs/c-blosc-1.5.2
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-gfx/openvdb[-abi3-compat(-),abi4-compat(+),python_single_target_python3_6(-)]
>     media-libs/opencolorio
>     media-libs/osl:=
>   depend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=dev-libs/c-blosc-1.5.2
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-gfx/openvdb[-abi3-compat(-),abi4-compat(+),python_single_target_python3_6(-)]
>     media-libs/opencolorio
>     media-libs/osl:=
>   rdepend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=dev-libs/c-blosc-1.5.2
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-gfx/openvdb[-abi3-compat(-),abi4-compat(+),python_single_target_python3_6(-)]
>     media-libs/opencolorio
>     media-libs/osl:=
Comment 9 Adrian 2020-04-16 06:24:46 UTC
I have been working on cross building for a raspberry pi 3 in 32 bit, but there are lots of packages like cmake and llvm that need to be upgraded to support all of the use flags available in blender.

I did get it to build once for aarch64, but the hardware acceleration for vc4 is only available under 32 bit as far as I can tell, and the pi rebooted during rendering the default cube.

Once I get it working I will provide a complete list of unstable packages required for the build, and plan to add the arm keyword.
Comment 10 NATTkA bot gentoo-dev 2020-04-21 18:44:13 UTC
Sanity check failed:

> media-gfx/blender-2.79b-r2
>   depend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=dev-libs/c-blosc-1.5.2
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-gfx/openvdb[-abi3-compat(-),abi4-compat(+),python_single_target_python3_6(-)]
>     media-libs/opencolorio
>     media-libs/osl:=
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=dev-libs/c-blosc-1.5.2
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-gfx/openvdb[-abi3-compat(-),abi4-compat(+),python_single_target_python3_6(-)]
>     media-libs/opencolorio
>     media-libs/osl:=
>   rdepend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=dev-libs/c-blosc-1.5.2
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-gfx/openvdb[-abi3-compat(-),abi4-compat(+),python_single_target_python3_6(-)]
>     media-libs/opencolorio
>     media-libs/osl:=
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=dev-libs/c-blosc-1.5.2
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-gfx/openvdb[-abi3-compat(-),abi4-compat(+),python_single_target_python3_6(-)]
>     media-libs/opencolorio
>     media-libs/osl:=
Comment 11 NATTkA bot gentoo-dev 2020-05-10 21:17:53 UTC
All sanity-check issues have been resolved
Comment 12 NATTkA bot gentoo-dev 2020-05-11 09:26:23 UTC
Sanity check failed:

> media-gfx/blender-2.79b-r2
>   depend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=dev-libs/c-blosc-1.5.2
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-gfx/openvdb[-abi3-compat(-),abi4-compat(+),python_single_target_python3_6(-)]
>     media-libs/opencolorio
>     media-libs/osl:=
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=dev-libs/c-blosc-1.5.2
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-gfx/openvdb[-abi3-compat(-),abi4-compat(+),python_single_target_python3_6(-)]
>     media-libs/opencolorio
>     media-libs/osl:=
>   rdepend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=dev-libs/c-blosc-1.5.2
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-gfx/openvdb[-abi3-compat(-),abi4-compat(+),python_single_target_python3_6(-)]
>     media-libs/opencolorio
>     media-libs/osl:=
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=dev-libs/c-blosc-1.5.2
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-gfx/openvdb[-abi3-compat(-),abi4-compat(+),python_single_target_python3_6(-)]
>     media-libs/opencolorio
>     media-libs/osl:=
Comment 13 NATTkA bot gentoo-dev 2020-07-11 15:06:30 UTC
Sanity check failed:

> media-gfx/blender-2.79b-r2
>   depend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-gfx/openvdb[-abi3-compat(-),abi4-compat(+),python_single_target_python3_6(-)]
>     media-libs/opencolorio
>     media-libs/osl:=
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-gfx/openvdb[-abi3-compat(-),abi4-compat(+),python_single_target_python3_6(-)]
>     media-libs/opencolorio
>     media-libs/osl:=
>   rdepend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-gfx/openvdb[-abi3-compat(-),abi4-compat(+),python_single_target_python3_6(-)]
>     media-libs/opencolorio
>     media-libs/osl:=
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-gfx/openvdb[-abi3-compat(-),abi4-compat(+),python_single_target_python3_6(-)]
>     media-libs/opencolorio
>     media-libs/osl:=
Comment 14 NATTkA bot gentoo-dev 2020-07-16 19:37:51 UTC
Sanity check failed:

> media-gfx/blender-2.79b-r2
>   depend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-libs/opencolorio
>     media-libs/osl:=
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-libs/opencolorio
>     media-libs/osl:=
>   rdepend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-libs/opencolorio
>     media-libs/osl:=
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=media-libs/opencollada-1.6.18:=
>     >=media-libs/openimageio-1.7.0
>     >=media-libs/opensubdiv-3.3.0:=[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-libs/opencolorio
>     media-libs/osl:=
Comment 15 NATTkA bot gentoo-dev 2020-08-24 13:45:14 UTC
Sanity check failed:

> media-gfx/blender-2.83.4
>   depend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=media-gfx/alembic-1.7.12[boost(+),hdf(+)]
>     >=media-libs/opencollada-1.6.68
>     >=media-libs/opensubdiv-3.4.0[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-libs/opencolorio
>     media-libs/openimageio
>     media-libs/osl
>     ~media-gfx/openvdb-7.0.0[abi6-compat(-),abi7-compat(-)]
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=media-gfx/alembic-1.7.12[boost(+),hdf(+)]
>     >=media-libs/opencollada-1.6.68
>     >=media-libs/opensubdiv-3.4.0[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-libs/opencolorio
>     media-libs/openimageio
>     media-libs/osl
>     ~media-gfx/openvdb-7.0.0[abi6-compat(-),abi7-compat(-)]
>   rdepend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=media-gfx/alembic-1.7.12[boost(+),hdf(+)]
>     >=media-libs/opencollada-1.6.68
>     >=media-libs/opensubdiv-3.4.0[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-libs/opencolorio
>     media-libs/openimageio
>     media-libs/osl
>     ~media-gfx/openvdb-7.0.0[abi6-compat(-),abi7-compat(-)]
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=media-gfx/alembic-1.7.12[boost(+),hdf(+)]
>     >=media-libs/opencollada-1.6.68
>     >=media-libs/opensubdiv-3.4.0[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-libs/opencolorio
>     media-libs/openimageio
>     media-libs/osl
>     ~media-gfx/openvdb-7.0.0[abi6-compat(-),abi7-compat(-)]
Comment 16 NATTkA bot gentoo-dev 2020-10-06 02:17:16 UTC
Sanity check failed:

> media-gfx/blender-2.90.1
>   depend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=media-gfx/alembic-1.7.12[boost(+),hdf(+)]
>     >=media-libs/opencollada-1.6.68
>     >=media-libs/opensubdiv-3.4.0[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-libs/opencolorio
>     media-libs/openimageio
>     media-libs/osl
>     ~media-gfx/openvdb-7.0.0[abi6-compat(-),abi7-compat(-)]
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=media-gfx/alembic-1.7.12[boost(+),hdf(+)]
>     >=media-libs/opencollada-1.6.68
>     >=media-libs/opensubdiv-3.4.0[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-libs/opencolorio
>     media-libs/openimageio
>     media-libs/osl
>     ~media-gfx/openvdb-7.0.0[abi6-compat(-),abi7-compat(-)]
>   rdepend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=media-gfx/alembic-1.7.12[boost(+),hdf(+)]
>     >=media-libs/opencollada-1.6.68
>     >=media-libs/opensubdiv-3.4.0[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-libs/opencolorio
>     media-libs/openimageio
>     media-libs/osl
>     ~media-gfx/openvdb-7.0.0[abi6-compat(-),abi7-compat(-)]
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=media-gfx/alembic-1.7.12[boost(+),hdf(+)]
>     >=media-libs/opencollada-1.6.68
>     >=media-libs/opensubdiv-3.4.0[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-libs/opencolorio
>     media-libs/openimageio
>     media-libs/osl
>     ~media-gfx/openvdb-7.0.0[abi6-compat(-),abi7-compat(-)]
Comment 17 NATTkA bot gentoo-dev 2020-10-10 07:41:13 UTC
Sanity check failed:

> media-gfx/blender-2.90.1-r1
>   depend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=media-gfx/alembic-1.7.12[boost(+),hdf(+)]
>     >=media-libs/opencollada-1.6.68
>     >=media-libs/opensubdiv-3.4.0[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-libs/opencolorio
>     media-libs/openimageio:=
>     media-libs/osl
>     ~media-gfx/openvdb-7.0.0[abi6-compat(-),abi7-compat(-)]
>   depend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=media-gfx/alembic-1.7.12[boost(+),hdf(+)]
>     >=media-libs/opencollada-1.6.68
>     >=media-libs/opensubdiv-3.4.0[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-libs/opencolorio
>     media-libs/openimageio:=
>     media-libs/osl
>     ~media-gfx/openvdb-7.0.0[abi6-compat(-),abi7-compat(-)]
>   rdepend ~arm stable profile default/linux/arm/17.0 (1 total)
>     >=media-gfx/alembic-1.7.12[boost(+),hdf(+)]
>     >=media-libs/opencollada-1.6.68
>     >=media-libs/opensubdiv-3.4.0[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-libs/opencolorio
>     media-libs/openimageio:=
>     media-libs/osl
>     ~media-gfx/openvdb-7.0.0[abi6-compat(-),abi7-compat(-)]
>   rdepend ~arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=media-gfx/alembic-1.7.12[boost(+),hdf(+)]
>     >=media-libs/opencollada-1.6.68
>     >=media-libs/opensubdiv-3.4.0[-cuda,-opencl]
>     app-misc/spacenavd
>     dev-libs/libspnav
>     media-libs/opencolorio
>     media-libs/openimageio:=
>     media-libs/osl
>     ~media-gfx/openvdb-7.0.0[abi6-compat(-),abi7-compat(-)]